Skip to main content
`Ctrl`+`K`

# PetscDSSetUpdate

Set the pointwise update function for a given field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetUpdate(PetscDS ds, PetscInt f, PetscPointFn *update)

Not Collective

## Input Parameters

- ds - The `PetscDS`

- f - The field number

- update - update function, see `PetscPointFn`

## See Also

`PetscDS`, `PetscPointFn`, `PetscDSGetResidual()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages